> This page is for Cash App Pay Partner API.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.cash.app/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.cash.app/_mcp/server.

# List fee plans

GET https://api.cash.app/network/v1/fee-plans

Returns a list of all fee plans (matching the given query parameters) associated with this client.

**This endpoint is rate limited to 50 QPS.**

Scopes: `FEE_PLANS_READ`

Reference: https://developers.cash.app/cash-app-pay-partner-api/api-reference/network-api/list-fee-plans

## Servers

- `https://api.cash.app/network/v1` (Production, default)
- `https://sandbox.api.cash.app/network/v1` (Sandbox)

## Request

### Query parameters

- `cursor` (string, optional) — A pagination cursor returned by a previous call to this endpoint. Provide this cursor to retrieve the next set of results for the original query.
- `limit` (integer, optional, default: 50) — Maximum number of fee plans to return.
- `currency` (enum, optional) — Filters results to only include fee plans that matches the the given currency.
  - Allowed values: `USD`
- `status` (enum, optional, default: ACTIVE) — Filters results to only include fee plans that matches the the given status.
  - Allowed values: `ACTIVE`, `DISABLED`
- `reference_id` (string, optional) — Filters results to only include the fee plans that match the given reference ID.

## Response

### 200

OK

- `fee_plans` (list of FeePlan, optional) — List of fee plans matching the given query parameters.
- `cursor` (string, optional) — The pagination cursor to be used in a subsequent request. If empty, this is the final response.

## Errors

### 400 List Fee Plans Request Bad Request Error

Bad Request

- `errors` (list of Error, required) — A list of errors that occurred while processing the request. Min number of items: `1`

## Types

### FeePlan

The full fee plan that PSPs can use to set the buy rates for specific merchants.

- `id` (string, required) — A unique identifier for the fee plan issued by Cash App.
- `rate` (FeeRate, required) — A fee rate contains the components of a fee charged by Cash App to partners for a given payment.
- `currency` (enum, required) — Indicates the country associated with an entity. Values are from the [ISO-4217 Alpha-3](https://www.iso.org/iso-4217-currency-codes.html) specification. Current values: - `USD`: United States Dollar
  - Allowed values: `USD`
- `status` (string, required) — The state is used to determine whether or not this fee plan is currently in use. - `ACTIVE` - `DISABLED`
- `fee_type` (enum, required) — The kind of transaction this fee plan prices. A fee plan prices exactly one of these, so a rate is only meaningful alongside its `fee_type`. `PAYMENT` and `PAYOUT` are charged when the applicable transaction is captured, `DISPUTE` is charged when the dispute is opened.
  - Allowed values: `PAYMENT`, `DISPUTE`, `PAYOUT`
- `created_at` (datetime, required) — When this fee plan was created, in [RFC 3339](https://datatracker.ietf.org/doc/html/rfc3339) format (UTC).
- `updated_at` (datetime, required) — When this fee plan was last updated, in [RFC 3339](https://datatracker.ietf.org/doc/html/rfc3339) format (UTC).
- `reference_id` (string, optional)
- `metadata` (map from string to string, optional) — Freeform key-value pairs of arbitrary data associated with this resource. Keys and values must be passed as strings and not contain any personally identifiable information (PII). Min keys: `0` Max keys: `50` > Note: Nested keys are not supported.
- `description` (string, optional) — A free-form text field that stores information associated with the fee plan.

### Error

Represents an error encountered during a request to the API.

- `category` (enum, required) — The high-level reason the error occurred.
  - Allowed values: `API_ERROR`, `AUTHENTICATION_ERROR`, `BRAND_ERROR`, `DISPUTE_ERROR`, `MERCHANT_ERROR`, `INVALID_REQUEST_ERROR`, `PAYMENT_PROCESSING_ERROR`, `RATE_LIMIT_ERROR`, `WEBHOOK_ERROR`, `API_KEY_ERROR`, `GRANT_ERROR`
- `code` (string, required) — A unique identifier for the specific type of error that occurred. For more information, see [Error Code Reference](/cash-app-pay-partner-api/guides/technical-guides/api-fundamentals/errors/error-code-reference). Min length: `1`
- `detail` (string, optional) — Human-readable description of why the error occurred and how to resolve it. Min length: `1`
- `field` (string, optional) — The field in the request that caused the error, using array and object dot notation. Min length: `1`

### FeeRate

A fee rate contains the components of a fee charged by Cash App to partners for a given payment.

- `basis_points` (integer, optional) — The variable fee charged for processing the payment expressed as 1/100th of a percentage.
- `fixed_amount` (integer, optional) — The amount charged for processing the payment, in the lowest denomination of currency on the payment. **Note: The currency for the fee is found on the fee plan.**

## Examples

**Response**

```json
{
  "fee_plans": [
    {
      "id": "FEE_kewjsmjt35t8qhzyjeqcst5me",
      "rate": {
        "basis_points": 160,
        "fixed_amount": 20
      },
      "currency": "USD",
      "status": "ACTIVE",
      "fee_type": "PAYMENT",
      "created_at": "2023-01-01T12:00:00Z",
      "updated_at": "2023-01-01T12:00:00Z",
      "reference_id": "external-id",
      "metadata": {
        "key": "value"
      },
      "description": "description"
    }
  ],
  "cursor": "cursor"
}
```

**SDK Code**

```python
import requests

url = "https://api.cash.app/network/v1/fee-plans"

querystring = {"cursor":"string"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.cash.app/network/v1/fee-plans?cursor=string';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.cash.app/network/v1/fee-plans?cursor=string"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.cash.app/network/v1/fee-plans?cursor=string")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.cash.app/network/v1/fee-plans?cursor=string")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.cash.app/network/v1/fee-plans?cursor=string');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.cash.app/network/v1/fee-plans?cursor=string");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.cash.app/network/v1/fee-plans?cursor=string")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```